export interface Config {
    locales: string[];
    defaultNS: string;
    pluralSeparator: string;
    contextSeparator: string;
    keySeparator: string | null;
    nsSeparator: string | null;
    i18nextInstanceNames: string[];
    defaultContexts: string[];
    outputPath: string;
    defaultValue: string | null;
    keyAsDefaultValue: boolean | string[];
    keyAsDefaultValueForDerivedKeys: boolean;
    discardOldKeys: boolean;
    jsonSpace: string | number;
}
/**
 * Given Babel options, return an initialized Config object.
 *
 * @param opts plugin options given by Babel
 */
export declare function parseConfig(opts: Partial<Config>): Config;
