import * as BabelCore from '@babel/core';
import * as BabelTypes from '@babel/types';
import { CommentHint } from './comments';
import { ExtractedKey } from './keys';
import { Config } from './config';
import { ExporterCache } from './exporter';
export interface VisitorState {
    file: any;
    opts: Partial<Config>;
    I18NextExtract: I18NextExtractState;
}
interface I18NextExtractState {
    extractedKeys: ExtractedKey[];
    commentHints: CommentHint[];
    config: Config;
    extractedNodes: WeakSet<BabelTypes.Node>;
    exporterCache: ExporterCache;
}
export default function (api: BabelCore.ConfigAPI): BabelCore.PluginObj<VisitorState>;
export {};
